%define modname radius
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A13_%{modname}.ini

Summary:	Radius client library for PHP
Name:		php-%{modname}
Version:	1.2.7
Release:	%mkrel 1
Group:		Development/PHP
License:	BSD
URL:		http://pecl.php.net/package/radius
Source0:	http://pecl.php.net/get/radius-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		1

%description
This package is based on the libradius of FreeBSD, with some modifications and
extensions. This PECL provides full support for RADIUS authentication (RFC
2865) and RADIUS accounting (RFC 2866), works on Unix and on Windows. Its an
easy way to authenticate your users against the user-database of your OS (for
example against Windows Active-Directory via IAS). 

%prep

%setup -q -n %{modname}-%{version}

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} 

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}
install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc examples CREDITS radius.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog
* Fri Jun 28 2013 oden <oden> 1:1.2.7-1.mga3
+ Revision: 448053
- 1.2.7 (security fix)

* Wed Jan 30 2013 oden <oden> 1:1.2.5-27.mga3
+ Revision: 393315
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:1.2.5-26.mga3
+ Revision: 377535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 10 2012 spuhler <spuhler> 1:1.2.5-25.mga3
+ Revision: 329262
- bumped rel for rebuild against new php-devel

* Sun Jul 15 2012 spuhler <spuhler> 1:1.2.5-24.mga3
+ Revision: 270831
- Rebuilt for php-5.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:1.2.5-23.mga2
+ Revision: 223931
- httpd restart is handled by filetriggers now

  + spuhler <spuhler>
    - removed buildroot definition from .spec

* Sun Jan 30 2011 spuhler <spuhler> 1:1.2.5-22.mga1
+ Revision: 44485
- imported package php-radius

